Bug 1566220 (CVE-2018-10471)

Summary: CVE-2018-10471 xsa259 xen: x86 PV guest may crash Xen with XPTI
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ailan, drjones, imammedo, jforbes, knoel, m.a.young, mrezanin, pbonzini, ppandit, rkrcmar, robinlee.sysu, security-response-team, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
An OOB write issue was found in the way Xen hypervisor handled error in the Page Table Isolation (PTI) implementation, used to fix the Meltdown issue. It could occur while processing interrupt 'INT 0x80', when PV guest's vCPU has no handler for it. A malicious guest user/process could use this flaw to crash the hypervisor resulting in denial of service issue.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-28 11:25:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1571878    
Bug Blocks: 1566223    

Description Laura Pardo 2018-04-11 19:36:32 UTC
ISSUE DESCRIPTION
=================

The workaround for the Meltdown vulnerability (XSA-254) failed to deal
with an error code path connecting the INT 80 handling with general
exception handling. This results in an unconditional write attempt of
the value zero to an address near 2^64, in cases where a PV guest has no
handler installed for INT 80 on one of its vCPU-s.

IMPACT
======

A malicious or buggy guest may cause a hypervisor crash, resulting in
a Denial of Service (DoS) affecting the entire host.

VULNERABLE SYSTEMS
==================

All Xen versions which the XSA-254 fixes were applied to are vulnerable.

Only x86 systems are vulnerable. ARM systems are not vulnerable.

Only x86 PV guests can exploit the vulnerability. x86 PVH and HVM
guests cannot exploit the vulnerability.

MITIGATION
==========

Running only PVH or HVM guests avoids the vulnerability.

Comment 1 Adam Mariš 2018-04-25 14:54:14 UTC
Acknowledgments:

Name: the Xen project
Upstream: Andrew Cooper (Citrix)

Comment 2 Adam Mariš 2018-04-25 14:54:25 UTC
External References:

https://xenbits.xen.org/xsa/advisory-259.html

Comment 3 Adam Mariš 2018-04-25 15:07:20 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1571878]